Package org.eclipse.emf.cdo.security.impl

## Class SecurityFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.emf.cdo.security.impl.SecurityFactoryImpl

- All Implemented Interfaces:
    `SecurityFactory`, `Notifier`, `EFactory`, `EModelElement`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BinaryResourceImpl.DataConverter.Factory`

      public class SecurityFactoryImpl
      extends EFactoryImpl
      implements SecurityFactory

  An implementation of the model Factory.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Access` | `DEFAULT_PERMISSION` |

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.security.SecurityFactory

      `eINSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityFactoryImpl()` | Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `convertAccessObjectToString​(EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertAccessToString​(EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertPatternStyleToString​(EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString​(EDataType eDataType, java.lang.Object instanceValue)`
    `EObject` | `create​(EClass eClass)`
    `Access` | `createAccessFromString​(EDataType eDataType, java.lang.String initialValue)`
    `Access` | `createAccessObjectFromString​(EDataType eDataType, java.lang.String initialValue)`
    `AndFilter` | `createAndFilter()`
    `AndFilter` | `createAndFilter​(PermissionFilter... operands)` | Returns a new object of class 'And Filter'.
    `ClassFilter` | `createClassFilter()`
    `ClassFilter` | `createClassFilter​(EClass eClass)` |
    `ClassPermission` | `createClassPermission()` | Deprecated.
    `ClassPermission` | `createClassPermission​(EClass eClass, Access access)` | Deprecated.
    `Directory` | `createDirectory()`
    `Directory` | `createDirectory​(java.lang.String name)` |
    `ExpressionFilter` | `createExpressionFilter()`
    `ExpressionFilter` | `createExpressionFilter​(Expression expression)` |
    `FilterPermission` | `createFilterPermission()`
    `FilterPermission` | `createFilterPermission​(Access access, PermissionFilter... filters)` |
    `java.lang.Object` | `createFromString​(EDataType eDataType, java.lang.String initialValue)`
    `Group` | `createGroup()`
    `Group` | `createGroup​(java.lang.String id)` |
    `LinkedFilter` | `createLinkedFilter()`
    `NotFilter` | `createNotFilter()`
    `NotFilter` | `createNotFilter​(PermissionFilter operand)` |
    `OrFilter` | `createOrFilter()`
    `OrFilter` | `createOrFilter​(PermissionFilter... operands)` | Returns a new object of class 'Or Filter'.
    `PackageFilter` | `createPackageFilter()`
    `PackageFilter` | `createPackageFilter​(EPackage ePackage)` |
    `PackagePermission` | `createPackagePermission()` | Deprecated.
    `PackagePermission` | `createPackagePermission​(EPackage ePackage, Access access)` | Deprecated.
    `PatternStyle` | `createPatternStyleFromString​(EDataType eDataType, java.lang.String initialValue)`
    `Realm` | `createRealm()`
    `Realm` | `createRealm​(java.lang.String name)` |
    `Realm` | `createRealm​(java.lang.String name, Access defaultAccess)` |
    `ResourceFilter` | `createResourceFilter()`
    `ResourceFilter` | `createResourceFilter​(java.lang.String path)` |
    `ResourceFilter` | `createResourceFilter​(java.lang.String path, PatternStyle patternStyle)` |
    `ResourceFilter` | `createResourceFilter​(java.lang.String path, PatternStyle patternStyle, boolean includeParents)` |
    `ResourcePermission` | `createResourcePermission()` | Deprecated.
    `ResourcePermission` | `createResourcePermission​(java.lang.String pattern, Access access)` | Deprecated.
    `Role` | `createRole()`
    `Role` | `createRole​(java.lang.String id)` |
    `User` | `createUser()`
    `User` | `createUser​(java.lang.String id)` |
    `User` | `createUser​(java.lang.String id, java.lang.String password)` |
    `UserPassword` | `createUserPassword()`
    `static SecurityPackage` | `getPackage()` | Deprecated.
    `SecurityPackage` | `getSecurityPackage()`
    `static SecurityFactory` | `init()` | Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### DEFAULT_PERMISSION

          public static final Access DEFAULT_PERMISSION

      Since:
        4.3

  - ### Constructor Detail

    - #### SecurityFactoryImpl

          public SecurityFactoryImpl()

      Creates an instance of the factory.
      Generated

  - ### Method Detail

    - #### init

          public static SecurityFactory init()

      Creates the default factory implementation.
      Generated

    - #### create

          public EObject create​(EClass eClass)

      Specified by:
        `create` in interface `EFactory`
      Overrides:
        `create` in class `EFactoryImpl`
      Generated

    - #### createFromString

          public java.lang.Object createFromString​(EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `EFactory`
      Overrides:
        `createFromString` in class `EFactoryImpl`
      Generated

    - #### convertToString

          public java.lang.String convertToString​(EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `EFactory`
      Overrides:
        `convertToString` in class `EFactoryImpl`
      Generated

    - #### createRealm

          public Realm createRealm()

      Specified by:
        `createRealm` in interface `SecurityFactory`
      Returns:
        a new object of class 'Realm'.
      Generated

    - #### createRealm

          public Realm createRealm​(java.lang.String name)

      Specified by:
        `createRealm` in interface `SecurityFactory`

    - #### createRealm

          public Realm createRealm​(java.lang.String name,
                                   Access defaultAccess)

      Specified by:
        `createRealm` in interface `SecurityFactory`

    - #### createDirectory

          public Directory createDirectory​(java.lang.String name)

      Specified by:
        `createDirectory` in interface `SecurityFactory`

    - #### createRole

          public Role createRole​(java.lang.String id)

      Specified by:
        `createRole` in interface `SecurityFactory`

    - #### createGroup

          public Group createGroup​(java.lang.String id)

      Specified by:
        `createGroup` in interface `SecurityFactory`

    - #### createUser

          public User createUser​(java.lang.String id)

      Specified by:
        `createUser` in interface `SecurityFactory`

    - #### createUser

          public User createUser​(java.lang.String id,
                                 java.lang.String password)

      Specified by:
        `createUser` in interface `SecurityFactory`

    - #### createClassPermission

          @Deprecated
          public ClassPermission createClassPermission​(EClass eClass,
                                                       Access access)

      Deprecated.
      Specified by:
        `createClassPermission` in interface `SecurityFactory`

    - #### createPackagePermission

          @Deprecated
          public PackagePermission createPackagePermission​(EPackage ePackage,
                                                           Access access)

      Deprecated.
      Specified by:
        `createPackagePermission` in interface `SecurityFactory`

    - #### createResourcePermission

          @Deprecated
          public ResourcePermission createResourcePermission​(java.lang.String pattern,
                                                             Access access)

      Deprecated.
      Specified by:
        `createResourcePermission` in interface `SecurityFactory`

    - #### createDirectory

          public Directory createDirectory()

      Specified by:
        `createDirectory` in interface `SecurityFactory`
      Returns:
        a new object of class 'Directory'.
      Generated

    - #### createRole

          public Role createRole()

      Specified by:
        `createRole` in interface `SecurityFactory`
      Returns:
        a new object of class 'Role'.
      Generated

    - #### createGroup

          public Group createGroup()

      Specified by:
        `createGroup` in interface `SecurityFactory`
      Returns:
        a new object of class 'Group'.
      Generated

    - #### createUser

          public User createUser()

      Specified by:
        `createUser` in interface `SecurityFactory`
      Returns:
        a new object of class 'User'.
      Generated

    - #### createUserPassword

          public UserPassword createUserPassword()

      Specified by:
        `createUserPassword` in interface `SecurityFactory`
      Returns:
        a new object of class 'User Password'.
      Generated

    - #### createClassPermission

          @Deprecated
          public ClassPermission createClassPermission()

      Deprecated.
      Specified by:
        `createClassPermission` in interface `SecurityFactory`
      Returns:
        a new object of class 'Class Permission'.
      Generated

    - #### createPackagePermission

          @Deprecated
          public PackagePermission createPackagePermission()

      Deprecated.
      Specified by:
        `createPackagePermission` in interface `SecurityFactory`
      Returns:
        a new object of class 'Package Permission'.
      Generated

    - #### createResourcePermission

          @Deprecated
          public ResourcePermission createResourcePermission()

      Deprecated.
      Specified by:
        `createResourcePermission` in interface `SecurityFactory`
      Returns:
        a new object of class 'Resource Permission'.
      Generated

    - #### createFilterPermission

          public FilterPermission createFilterPermission()

      Specified by:
        `createFilterPermission` in interface `SecurityFactory`
      Returns:
        a new object of class 'Filter Permission'.
      Since:
        4.3
      Generated

    - #### createLinkedFilter

          public LinkedFilter createLinkedFilter()

      Specified by:
        `createLinkedFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Linked Filter'.
      Since:
        4.3
      Generated

    - #### createFilterPermission

          public FilterPermission createFilterPermission​(Access access,
                                                         PermissionFilter... filters)

      Specified by:
        `createFilterPermission` in interface `SecurityFactory`
      Since:
        4.3

    - #### createPackageFilter

          public PackageFilter createPackageFilter()

      Specified by:
        `createPackageFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Package Filter'.
      Since:
        4.3
      Generated

    - #### createPackageFilter

          public PackageFilter createPackageFilter​(EPackage ePackage)

      Specified by:
        `createPackageFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createClassFilter

          public ClassFilter createClassFilter()

      Specified by:
        `createClassFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Class Filter'.
      Since:
        4.3
      Generated

    - #### createClassFilter

          public ClassFilter createClassFilter​(EClass eClass)

      Specified by:
        `createClassFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createResourceFilter

          public ResourceFilter createResourceFilter()

      Specified by:
        `createResourceFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Resource Filter'.
      Since:
        4.3
      Generated

    - #### createResourceFilter

          public ResourceFilter createResourceFilter​(java.lang.String path)

      Specified by:
        `createResourceFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createResourceFilter

          public ResourceFilter createResourceFilter​(java.lang.String path,
                                                     PatternStyle patternStyle)

      Specified by:
        `createResourceFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createResourceFilter

          public ResourceFilter createResourceFilter​(java.lang.String path,
                                                     PatternStyle patternStyle,
                                                     boolean includeParents)

      Specified by:
        `createResourceFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createExpressionFilter

          public ExpressionFilter createExpressionFilter()

      Specified by:
        `createExpressionFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Expression Filter'.
      Since:
        4.3
      Generated

    - #### createExpressionFilter

          public ExpressionFilter createExpressionFilter​(Expression expression)

      Specified by:
        `createExpressionFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createNotFilter

          public NotFilter createNotFilter()

      Specified by:
        `createNotFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Not Filter'.
      Since:
        4.3
      Generated

    - #### createNotFilter

          public NotFilter createNotFilter​(PermissionFilter operand)

      Specified by:
        `createNotFilter` in interface `SecurityFactory`
      Since:
        4.3

    - #### createAndFilter

          public AndFilter createAndFilter()

      Specified by:
        `createAndFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'And Filter'.
      Since:
        4.3
      Generated

    - #### createAndFilter

          public AndFilter createAndFilter​(PermissionFilter... operands)

      Description copied from interface: `SecurityFactory`
      Returns a new object of class 'And Filter'.
      Specified by:
        `createAndFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'And Filter'.
      Since:
        4.3

    - #### createOrFilter

          public OrFilter createOrFilter()

      Specified by:
        `createOrFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Or Filter'.
      Since:
        4.3
      Generated

    - #### createPatternStyleFromString

          public PatternStyle createPatternStyleFromString​(EDataType eDataType,
                                                           java.lang.String initialValue)

      Since:
        4.3
      Generated

    - #### convertPatternStyleToString

          public java.lang.String convertPatternStyleToString​(EDataType eDataType,
                                                              java.lang.Object instanceValue)

      Since:
        4.3
      Generated

    - #### createOrFilter

          public OrFilter createOrFilter​(PermissionFilter... operands)

      Description copied from interface: `SecurityFactory`
      Returns a new object of class 'Or Filter'.
      Specified by:
        `createOrFilter` in interface `SecurityFactory`
      Returns:
        a new object of class 'Or Filter'.
      Since:
        4.3

    - #### createAccessFromString

          public Access createAccessFromString​(EDataType eDataType,
                                               java.lang.String initialValue)

      Generated

    - #### convertAccessToString

          public java.lang.String convertAccessToString​(EDataType eDataType,
                                                        java.lang.Object instanceValue)

      Generated

    - #### createAccessObjectFromString

          public Access createAccessObjectFromString​(EDataType eDataType,
                                                     java.lang.String initialValue)

      Generated

    - #### convertAccessObjectToString

          public java.lang.String convertAccessObjectToString​(EDataType eDataType,
                                                              java.lang.Object instanceValue)

      Generated

    - #### getSecurityPackage

          public SecurityPackage getSecurityPackage()

      Specified by:
        `getSecurityPackage` in interface `SecurityFactory`
      Returns:
        the package supported by this factory.
      Generated

    - #### getPackage

          @Deprecated
          public static SecurityPackage getPackage()

      Deprecated.
      Generated